@echo off
rem This Batch File is Created by Ben Wu
rem           on Feb. 8, 2013.

rem setting environment
SET ORIGINAL=%CD%
SET path=%ORIGINAL%;%path%

rem Warning
cls

echo    ***************************************************************************
echo                Also    NOTE:
echo	  Make sure USB dongle is NOT plugged into PC until you have installed the 
echo	  driver. From "Add or Remove Programs" or Programs and Features, 
echo      make sure there is no driver named: 
echo      "PL-2303 USB-to-Serial" or "PL-2303 Vista Driver Installer".  
echo       ---------------------   
echo      If exists, please Remove it first.
echo    ***************************************************************************
echo                                                                ..
echo	Press Ctrl+C 
echo               to Stop now for checking above step 
echo                                                     --
echo    or else, go on to install driver
echo                   --
pause

rem Now checking OS -----


ver | find "98" > nul
if %ERRORLEVEL% == 0 goto Win98

ver | find "XP" > nul
if %ERRORLEVEL% == 0 goto Ver_XP

ver | find "2000" > nul
if %ERRORLEVEL% == 0 goto Win2K



if not exist %SystemRoot%\system32\systeminfo.exe goto warnthenexit

systeminfo | find "OS Name" > %TEMP%\osname.txt
FOR /F "usebackq delims=: tokens=2" %%i IN (%TEMP%\osname.txt) DO set vers=%%i

echo %vers% | find "Windows 8" > nul
if %ERRORLEVEL% == 0 goto ver_8

echo %vers% | find "Windows 7" > nul
if %ERRORLEVEL% == 0 goto Win7

echo %vers% | find "Windows Vista" > nul
if %ERRORLEVEL% == 0 goto Win_Vista

goto warnthenexit

:ver_8
cls
echo -------------------------------------------
echo  ****  You are now running Windows 8   ****
echo                                         ---
Echo   !!!!!    WARNNING!    **** PLEASE Run "OKey.BAT" from this CD 
echo                                                                ..
echo                         Before you Run this installation......
echo                                                                ..
echo            Otherwise, Windows 8 will not accept any change, 
echo                                                                ..
echo                       because your PC is still Locked ........
echo                                                                --
ECHO                Select the file: "OKey.bat" in this CD 
echo                                                     --
echo                                       And be SURE to
echo                                                     ...
echo                         Right click to choose "Run As administrator"
echo                                                        ------------
echo                           to run OKey now....
echo                                               ---
echo                                          then Reboot PC....
echo                                                            ---
echo                                                   to make it effective...   --
echo                                                                             ---
echo	Press Ctrl+C 
echo               to Stop this and run OKey.BAT now 
echo                                                     --
echo    or else, go ahead if you have cleared all above ...
echo                                                    ---
pause

md c:\progra~1\actisys\ACT-IR100UD
copy %ORIGINAL%\*.pdf c:\progra~1\actisys\ACT-IR100UD
md c:\progra~1\actisys\ACT-IR100UD\Driver
Copy %ORIGINAL%\driver\*.* c:\progra~1\actisys\ACT-IR100UD\Driver
md c:\progra~1\actisys\ACT-IR100UD\Utility
Copy %ORIGINAL%\Utility\*.* c:\progra~1\actisys\ACT-IR100UD\Utility

rem Now set Windows Update to not auto install driver

Reg Add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\DriverSearching" /V SearchOrderConfig /t REG_DWORD /d 0 /f

echo ****************************************************************************
echo ***    User Manual, Quick Guide, Utility and Driver Installer have       ***
echo ***     been copied to C:\Program Files\ACTiSYS\ACT-IR100UD...           ***
echo ***                                                                      ***
echo ***    Now Starting Windows Driver Installation.......                   ***
echo                                                                          ...
echo                                                                          ...
echo *****************************************************************************
echo ***                                                                       ***
echo ***    Now Please Plug ACT-IR100UD-MDT into USB Port!!.......             ***
echo ***                                                                       ***
echo ***    It will take some minutes. Please wait.......                      ***
echo *****************************************************************************
cd c:\progra~1\actisys\ACT-IR100UD\Driver
c:
ACT-IR100UD-DriverInstaller_v1.5.0-20111021.exe

rem Now Enable UAC
echo      Now we are Locking your system,
echo                                   -
echo                          to resume back to 
echo                                     -
echo                                     normal Security Protection
echo                                        -
echo                                                               for you... 
echo                                                               ----------  
echo         Please Reboot your Windows to Take this change effective.
echo                                                        ----------------
C:\Windows\System32\cmd.exe /k %windir%\System32\reg.exe ADD HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System /v EnableLUA /t REG_DWORD /d 1 /f
cd %original%
exit

:warnthenexit
echo Your Operating system is undetermined.
echo Please read manual before start installation or call Actisys Technical Support
pause
exit

:ver_XP
echo    ****************************************************
echo    --------   You are Now runung Windows XP.   --------
echo    ****************************************************
Goto install

:Win2K
echo    ******************************************************
echo    --------   You are Now runung Windows 2000.   --------
echo    ******************************************************  
Goto install

:Win98
echo    ******************************************************
echo     --------   You are Now runung Windows 98.   --------
echo    ******************************************************

Goto install

:Win7
echo    ******************************************************
echo     --------   You are Now runung Windows 7.   --------
echo    ******************************************************
Goto install

:Win_Vista
echo    *********************************************************
echo     --------   You are Now runung Windows Vista.   --------
echo    *********************************************************
Goto install

:install
pause
echo                                                                          ---
echo    Now starting Files copy.......................
echo                                                                          ---
md c:\progra~1\actisys\ACT-IR100UD
copy *.pdf c:\progra~1\actisys\ACT-IR100UD
md c:\progra~1\actisys\ACT-IR100UD\Driver
cd driver
Copy *.* c:\progra~1\actisys\ACT-IR100UD\Driver
md c:\progra~1\actisys\ACT-IR100UD\Utility
Copy %ORIGINAL%\Utility\*.* c:\progra~1\actisys\ACT-IR100UD\Utility

echo ******************************************************************************
echo ***    User Manual, Quick Guide, Utility and Driver Installer have         ***
echo ***     been copied to C:\Program Files\ACTiSYS\ACT-IR100UD...             ***
echo ***                                                                        ***
echo ***    Now Starting Windows Driver Installation.......                     ***
echo                                                                            ---
echo                                                                            ---
echo *******************************************************************************
echo ***                                                                         ***
echo ***    Now Please Plug ACT-IR100UD-MDT into your USB Port!!.......          ***
echo ***                                                                         ***
echo ***    It will take some minutes. Please wait.......                        ***
echo *******************************************************************************

ACT-IR100UD-DriverInstaller_v1.7.0-20120801.exe

exit